## skimage 0.6.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
DEST = build
.PHONY: all help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest gitwash gh-pages coveragetable random_gallery

all: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  devhelp   to make HTML files and a Devhelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf  to make LaTeX files and run them through pdflatex"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(DEST)/*
	-rm -rf source/api
	-find ./source/auto_examples/* -type f | grep -v blank | xargs rm -f
api:
	@mkdir -p source/api
	python tools/build_modref_templates.py
	@echo "Build API docs...done."

random_gallery:
	@cd source && python random_gallery.py

coveragetable:
	@cd source && python coverage_generator.py

html: api coveragetable random_gallery
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DEST)/html
	cp -r source/plots $(DEST)/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(DEST)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(DEST)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(DEST)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(DEST)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(DEST)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/scikitsimage.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/scikitsimage.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(DEST)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/scikitsimage"
	@echo "# ln -s build/devhelp $$HOME/.local/share/devhelp/scikitsimage"
	@echo "# devhelp"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(DEST)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(DEST)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

latexpdf: latex
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(DEST)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C build/latex all-pdf
	@echo "pdflatex finished; the PDF files are in build/latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(DEST)/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(DEST)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(DEST)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

gh-pages:
	python gh-pages.py

gitwash:
	python tools/gitwash/gitwash_dumper.py source scikits-image \
	--project-url=http://scikits-image.org \
	--project-ml-url=http://groups.google.com/group/scikits-image \
	--repo-name=scikits-image \
	--github-user=scikits-image \
	--source-suffix=.txt

=== doc/logo/Makefile ===
.PHONY: logo

logo: green_orange_snake.png snake_logo.svg
	inkscape --export-png=scikits_image_logo.png --export-dpi=100 \
		     --export-area-drawing --export-background-opacity=1 \
			 snake_logo.svg
	python shrink_logo.py

green_orange_snake.png:
	python scikits_image_logo.py --no-plot

## skimage 0.5.0+git100-gfeb3e92

=== debian/changelog ===
skimage (0.5.0+git100-gfeb3e92-1~nd11.10+1) oneiric; urgency=low

  * Backported for oneiric.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 07 May 2012 23:20:40 -0400

skimage (0.5.0+git100-gfeb3e92-1) unstable; urgency=low

  [ Stefan van der Walt ]
  * Initial release. (Closes: #639820)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 May 2012 22:16:14 -0400

=== debian/control ===
Source: skimage
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Stefan van der Walt <stefan@sun.ac.za>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.6.6-3~), python-numpy, python-sphinx, python-nose, python-setuptools, cython (>= 0.13), python-matplotlib (>= 1.0), python-scipy, libfreeimage3, python-imaging
Standards-Version: 3.9.3
XS-Python-Version: >= 2.6
Homepage: http://scikits-image.org
Vcs-Browser: https://github.com/scikits-image/scikits-image
Vcs-Git: git://github.com/scikits-image/scikits-image.git

Package: python-skimage
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy (>= 0.9), python-skimage-lib (>= ${source:Version}), libfreeimage3
Provides: ${python:Provides}
Recommends: python-nose, python-matplotlib (>= 1.0), python-imaging
Suggests: python-skimage-doc, python-opencv
Description: Python modules for image processing
 scikits-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.

Package: python-skimage-doc
Architecture: all
Section: doc
Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
Suggests: python-skimage
Description: Documentation and examples for scikits-image
 This package contains documentation and example scripts for
 python-skimage.

Package: python-skimage-lib
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
Recommends: python-skimage
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Optimized low-level algorithms for scikits-image
 This is an add-on package for python-skimage. It provides
 optimized, low-level implementations of algorithms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

PACKAGE_NAME = python-skimage
PACKAGE_ROOT_DIR = $(CURDIR)/debian/${PACKAGE_NAME}

PYVERS = $(shell pyversions -vr)
PYVER = $(shell pyversions  -vd)

# Mega rule
%:
	dh $@ --buildsystem python_distutils

override_dh_clean:
ifeq (,$(filter noclean,$(DEB_BUILD_OPTIONS)))
	rm -rf build doc/build doc/auto_examples *-stamp skimage.egg-info
	dh_clean
endif

# Build docs during install
override_dh_auto_install: ${PYVERS:%=python-install%}

# Per Python version logic -- install, test, move .so into -lib
python-install%:
	python$* setup.py install --install-layout=deb --root=$(PACKAGE_ROOT_DIR)

	: # Build Documentation
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	export PYTHONPATH=$(PACKAGE_ROOT_DIR)/usr/lib/python$*/dist-packages MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	 cd doc; test -d build/html || $(MAKE) html
	python$* setup.py install --install-layout=deb --root=$(PACKAGE_ROOT_DIR)
	: # Use jquery and underscore from Debian package, so prune shipped one
	-rm -f doc/build/html/_static/jquery.js
	# Actually due to the problems with underscore pkg across releases just ship one for now
	#-rm -f doc/build/html/_static/underscore.js
	-rm -rf doc/build/html/_sources
	-rm -f doc/build/html/.buildinfo
endif

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	: # Run unittests
	export PYTHONPATH=$(PACKAGE_ROOT_DIR)/usr/lib/python$*/dist-packages; \
	 python$* /usr/bin/nosetests -s \
	  $(PACKAGE_ROOT_DIR)/usr/lib/python$*/*-packages/skimage
else
	: # Skip unittests due to nocheck
endif

	: # Move platform-specific libraries into -lib
	set -e; for lib in $$(find $(PACKAGE_ROOT_DIR)/usr -name '*.so'); do \
	   sdir=$$(dirname $$lib) ; \
	   tdir=$(PACKAGE_ROOT_DIR)-lib/$${sdir#*$(PACKAGE_NAME)/} ; \
	   mkdir -p $$tdir ; \
	   echo "Moving '$$lib' into '$$tdir'." ; \
	   mv $$lib $$tdir ; \
	done

	if [ -x /usr/bin/dh_numpy ]; then dh_numpy; fi

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc

override_dh_installdocs:
	dh_installdocs -A CONTRIBUTORS.txt README.rst DEVELOPMENT.txt TASKS.txt

## skimage 0.6.1

=== debian/changelog ===
skimage (0.6.1-1) unstable; urgency=low

  * Upstream bugfix release (correctly compare dtypes in the freeimage loader
    on all platforms).
  * Add python-support as build dependency (Closes: #681896).

 -- Stefan van der Walt <stefan@sun.ac.za>  Tue, 17 Jul 2012 15:03:25 -0400

skimage (0.6-1) unstable; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 27 Jun 2012 15:31:26 -0400

skimage (0.5.0+git100-gfeb3e92-2) unstable; urgency=low

  * debian/rules: globally export MPLCONFIGDIR and HOME so they would be
    in effect also for unittests resolving FTBFS on build boxes.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 21 May 2012 13:11:43 -0400

=== debian/control ===
Source: skimage
Section: python
Priority: optional
Maintainer: Stefan van der Walt <stefan@sun.ac.za>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.6.6-3~), python-numpy, python-sphinx, python-nose, python-setuptools, cython (>= 0.13), python-matplotlib (>= 1.0), python-scipy, libfreeimage3, python-imaging, python-support (>= 0.6)
Standards-Version: 3.9.3
XS-Python-Version: >= 2.6
Homepage: http://scikits-image.org
Vcs-Browser: https://github.com/scikits-image/scikits-image
Vcs-Git: git://github.com/scikits-image/scikits-image.git

Package: python-skimage
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy (>= 0.9), python-skimage-lib (>= ${source:Version}), libfreeimage3
Provides: ${python:Provides}
Recommends: python-nose, python-matplotlib (>= 1.0), python-imaging
Suggests: python-skimage-doc, python-opencv
Description: Python modules for image processing
 scikits-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.

Package: python-skimage-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-skimage
Description: Documentation and examples for scikits-image
 This package contains documentation and example scripts for
 python-skimage.

Package: python-skimage-lib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
Recommends: python-skimage
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Optimized low-level algorithms for scikits-image
 This is an add-on package for python-skimage. It provides
 optimized, low-level implementations of algorithms.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 PYVERS = $(shell pyversions -vr)
 PYVER = $(shell pyversions  -vd)
+
+export MPLCONFIGDIR=$(CURDIR)/build
+export HOME=$(CURDIR)/build
 
 # Mega rule
 %:
@@ -17,6 +20,12 @@
 	dh_clean
 endif
 
+# Assure Agg backend for matplotlib to avoid any possible complication
+override_dh_auto_configure:
+	mkdir -p $(MPLCONFIGDIR)
+	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc
+	dh_auto_configure
+
 # Build docs during install
 override_dh_auto_install: ${PYVERS:%=python-install%}
 
@@ -26,7 +35,7 @@
 
 	: # Build Documentation
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	export PYTHONPATH=$(PACKAGE_ROOT_DIR)/usr/lib/python$*/dist-packages MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
+	export PYTHONPATH=$(PACKAGE_ROOT_DIR)/usr/lib/python$*/dist-packages; \
 	 cd doc; test -d build/html || $(MAKE) html
 	python$* setup.py install --install-layout=deb --root=$(PACKAGE_ROOT_DIR)
 	: # Use jquery and underscore from Debian package, so prune shipped one

=== debian/watch ===
version=3
http://githubredir.debian.net/github/scikits-image/scikits-image/ v(.+).tar.gz

## skimage 0.7.2

=== doc/Makefile ===
--- 
+++ 
@@ -77,17 +77,17 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in build/qthelp, like this:"
-	@echo "# qcollectiongenerator build/qthelp/scikitsimage.qhcp"
+	@echo "# qcollectiongenerator build/qthelp/scikitimage.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile build/qthelp/scikitsimage.qhc"
+	@echo "# assistant -collectionFile build/qthelp/scikitimage.qhc"
 
 devhelp:
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(DEST)/devhelp
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/scikitsimage"
-	@echo "# ln -s build/devhelp $$HOME/.local/share/devhelp/scikitsimage"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/scikitimage"
+	@echo "# ln -s build/devhelp $$HOME/.local/share/devhelp/scikitimage"
 	@echo "# devhelp"
 
 latex:
@@ -123,9 +123,9 @@
 	python gh-pages.py
 
 gitwash:
-	python tools/gitwash/gitwash_dumper.py source scikits-image \
-	--project-url=http://scikits-image.org \
-	--project-ml-url=http://groups.google.com/group/scikits-image \
-	--repo-name=scikits-image \
-	--github-user=scikits-image \
+	python tools/gitwash/gitwash_dumper.py source scikit-image \
+	--project-url=http://scikit-image.org \
+	--project-ml-url=http://groups.google.com/group/scikit-image \
+	--repo-name=scikit-image \
+	--github-user=scikit-image \
 	--source-suffix=.txt

=== debian/changelog ===
skimage (0.7.2-1) unstable; urgency=low

  * Recent upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 01 Dec 2012 22:06:51 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,16 @@
 Priority: optional
 Maintainer: Stefan van der Walt <stefan@sun.ac.za>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.6.6-3~), python-numpy, python-sphinx, python-nose, python-setuptools, cython (>= 0.13), python-matplotlib (>= 1.0), python-scipy, libfreeimage3, python-imaging, python-support (>= 0.6)
+Build-Depends: debhelper (>= 7.0.50),
+               python-all-dev (>= 2.6.6-3~), python-setuptools,
+               python-numpy,
+               python-scipy (>= 0.10),
+               python-sphinx,
+               python-nose,
+               cython (>= 0.13),
+               python-matplotlib (>= 1.0),
+               libfreeimage3,
+               python-imaging,
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://scikits-image.org
@@ -12,7 +21,11 @@
 
 Package: python-skimage
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy (>= 0.9), python-skimage-lib (>= ${source:Version}), libfreeimage3
+Depends: ${misc:Depends}, ${python:Depends},
+         python-numpy,
+         python-scipy (>= 0.10),
+         python-skimage-lib (>= ${source:Version}),
+         libfreeimage3,
 Provides: ${python:Provides}
 Recommends: python-nose, python-matplotlib (>= 1.0), python-imaging
 Suggests: python-skimage-doc, python-opencv

## skimage 0.8.2

=== debian/changelog ===
skimage (0.8.2-1ubuntu3) saucy; urgency=low

  * depend on python-imaging in autopkgtests
    fixes failures with compressed pngs

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 17 Sep 2013 19:48:35 +0200

skimage (0.8.2-1ubuntu2) saucy; urgency=low

  * fix arch only build
  * drop python-skimage-doc.links, handled by dh_sphinxdoc

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 13 Aug 2013 14:53:32 +0200

skimage (0.8.2-1ubuntu1) saucy; urgency=low

  * add python 3 packages
  * add autopkgtests
  * update packaging to use dh_sphinxdoc and dh_python2
    requires search-html.patch to fix file so dh_sphinxdoc recognises it
  * fix-doc-links.patch: fix navbar links in documentation
  * wrap-and-sort debian/

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 10 Jun 2013 21:20:18 +0200

skimage (0.8.2-1) unstable; urgency=low

  [ Stefan van der Walt ]
  * Add python-qt4 as a recommended package (Closes: #684753).

  [ Yaroslav Halchenko ]
  * New upstream release
  * ACK NMU + reincarnated the record of 0.6.1-1, which as 0.7.2-1.1 fixed
    python-support issue
  * debian/control
    - boosted required cython version to 0.15
    - boosted policy cmopliance to 3.9.4
  * debian/patches
    - changeset_0eea2a48fe2dca7bbb3681fcd5b511579cad6347.diff -- resolves
      incompatibility with cython 0.19 (thanks Julian Taylor for the
      pointer)
    - up_correct_version -- fix upstream version to be 0.8.2 (thanks
      Julian again)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 03 Jun 2013 10:28:31 -0400

skimage (0.7.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to get rid of python2.6 dependencies (Closes: #707894).
  * Build-depend on python-support (Closes: #681896).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 12 May 2013 16:33:39 +0200

=== debian/control ===
Source: skimage
Section: python
Priority: optional
Maintainer: Stefan van der Walt <stefan@sun.ac.za>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: cython (>= 0.15),
               cython3 (>= 0.15),
               debhelper (>= 9~),
               libfreeimage3,
               python-all-dev (>= 2.6.6-3~),
               python-imaging,
               python-matplotlib (>= 1.0),
               python-nose,
               python-numpy,
               python-scipy (>= 0.10),
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg-1~),
               python3-all-dev,
               python3-imaging,
               python3-nose,
               python3-numpy,
               python3-scipy,
               python3-setuptools
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: http://scikits-image.org
Vcs-Browser: https://github.com/scikits-image/scikits-image
Vcs-Git: git://github.com/scikits-image/scikits-image.git
XS-Testsuite: autopkgtest

Package: python-skimage
Architecture: all
Depends: libfreeimage3,
         python-numpy,
         python-scipy (>= 0.10),
         python-skimage-lib (>= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Recommends: python-imaging, python-matplotlib (>= 1.0), python-nose, python-qt4
Suggests: python-opencv, python-skimage-doc
Description: Python modules for image processing
 scikits-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package provides the Python 2 module.

Package: python3-skimage
Architecture: all
Depends: libfreeimage3,
         python3-numpy,
         python3-scipy (>= 0.10),
         python3-skimage-lib (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-imaging, python3-matplotlib (>= 1.0), python3-nose
Suggests: python-skimage-doc
Description: Python 3 modules for image processing
 scikits-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package provides the Python 3 module.

Package: python-skimage-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python-skimage
Description: Documentation and examples for scikits-image
 This package contains documentation and example scripts for
 python-skimage.

Package: python-skimage-lib
Architecture: any
Depends: python-numpy, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Recommends: python-skimage
Description: Optimized low-level algorithms for scikits-image
 This is an add-on package for python-skimage. It provides
 optimized, low-level implementations of algorithms.
 .
 This package provides the Python 2 libraries.

Package: python3-skimage-lib
Architecture: any
Depends: python3-numpy, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Recommends: python3-skimage
Description: Optimized low-level algorithms for Python 3 scikits-image
 This is an add-on package for python-skimage. It provides
 optimized, low-level implementations of algorithms.
 .
 This package provides the Python 3 libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

PACKAGE2_NAME = python-skimage
PACKAGE3_NAME = python3-skimage
PKG_TMP = $(CURDIR)/debian/tmp

PYVERS = $(shell pyversions -vr)
PYVER = $(shell pyversions  -vd)
PY3VERS = $(shell py3versions -vr)

export MPLCONFIGDIR=$(CURDIR)/build
export HOME=$(CURDIR)/build

# Mega rule
%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem python_distutils

override_dh_clean:
	rm -f install-stamp
ifeq (,$(filter noclean,$(DEB_BUILD_OPTIONS)))
	rm -rf build doc/build doc/auto_examples *-stamp skimage.egg-info
	dh_clean
endif

# Assure Agg backend for matplotlib to avoid any possible complication
override_dh_auto_configure:
	mkdir -p $(MPLCONFIGDIR)
	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc
	dh_auto_configure

override_dh_auto_install-arch: ${PYVERS:%=python-install%} ${PY3VERS:%=python-install%}
	touch install-stamp

# Build docs during install, requires arch build for imports
override_dh_auto_install-indep: override_dh_auto_install-arch
	: # Build Documentation
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	export PYTHONPATH=$(PKG_TMP)/usr/lib/python$(PYVER)/dist-packages; \
	 cd doc; test -d build/html || $(MAKE) html
endif

# no docs so no reason for sphinxdoc to fail
override_dh_sphinxdoc-arch:

# Per Python version logic -- install, test, move .so into -lib
python-install%:
	python$* setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp

python-test%: install-stamp
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgbuild=yes debian/tests/python$*
else
	true # Skip unittests due to nocheck
endif

## remove .so libraries from main package, and call dh_numpy*
_dh_python%: python-test%
	# does not exist in arch build
	-find debian/$(PACKAGE$*_NAME)/usr/lib -name "*.so" -delete;

	dh_numpy$(*:2=) -p$(PACKAGE$*_NAME)-lib
	dh_python$*

override_dh_python2: _dh_python2
override_dh_python3: _dh_python3

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc

override_dh_installdocs:
	dh_installdocs -A CONTRIBUTORS.txt README.md DEVELOPMENT.txt TASKS.txt

=== debian/tests/control ===
# some tests fail with freeimage plugin on compressed pngs,
# so install imaging for tests
Tests: python2
Depends: python-all, python-nose, python-skimage, python-imaging

Tests: python3
Depends: python3-all, python3-nose, python3-skimage, python3-imaging

## skimage 0.9.3

=== Makefile ===
.PHONY: all clean test

all:
	python setup.py build_ext --inplace

clean:
	find . -name "*.so" -o -name "*.pyc" -o -name "*.pyx.md5" | xargs rm -f

test:
	nosetests skimage

coverage:
	nosetests skimage --with-coverage --cover-package=skimage

=== requirements.txt ===
cython>=0.17
matplotlib>=1.0
numpy>=1.6

=== doc/Makefile ===
--- 
+++ 
@@ -2,9 +2,10 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
-PAPER         =
+PYTHON        ?= python
+SPHINXOPTS    ?=
+SPHINXBUILD   ?= sphinx-build
+PAPER         ?=
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -36,14 +37,14 @@
 	-find ./source/auto_examples/* -type f | grep -v blank | xargs rm -f
 api:
 	@mkdir -p source/api
-	python tools/build_modref_templates.py
+	$(PYTHON) tools/build_modref_templates.py
 	@echo "Build API docs...done."
 
 random_gallery:
-	@cd source && python random_gallery.py
+	@cd source && $(PYTHON) random_gallery.py
 
 coveragetable:
-	@cd source && python coverage_generator.py
+	@cd source && $(PYTHON) coverage_generator.py
 
 html: api coveragetable random_gallery
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DEST)/html
@@ -90,7 +91,7 @@
 	@echo "# ln -s build/devhelp $$HOME/.local/share/devhelp/scikitimage"
 	@echo "# devhelp"
 
-latex:
+latex: api
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(DEST)/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in $(DEST)/latex."
@@ -120,10 +121,10 @@
 	      "results in build/doctest/output.txt."
 
 gh-pages:
-	python gh-pages.py
+	$(PYTHON) gh-pages.py
 
 gitwash:
-	python tools/gitwash/gitwash_dumper.py source scikit-image \
+	$(PYTHON) tools/gitwash/gitwash_dumper.py source scikit-image \
 	--project-url=http://scikit-image.org \
 	--project-ml-url=http://groups.google.com/group/scikit-image \
 	--repo-name=scikit-image \

=== debian/changelog ===
skimage (0.9.3-4build1) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:36:34 +0100

skimage (0.9.3-4) unstable; urgency=low

  * debian/rules
    don't optimize pngs in post build processors some derivatives use
    palette changes break tests and documented examples

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 23 Jan 2014 20:48:51 +0100

skimage (0.9.3-3) unstable; urgency=low

  * debian/control
    - swap order of Build-Depends (and Recommends just in case) to favor
      python*-pil over python*-imaging so builders do not get confused
      (Closes: #730678)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 Nov 2013 19:50:11 -0500

skimage (0.9.3-2) unstable; urgency=low

  * debian/tests/control
    - [thanks Julian Taylor] adding pil|imaging, tk, matplotlib to Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Nov 2013 21:46:35 -0500

skimage (0.9.3-1) unstable; urgency=low

  [ Stefan van der Walt ]
  * New upstream release (Closes: #693523).
  * Replace mentions of old package name.

  [ Yaroslav Halchenko ]
  * Merge with previous UNRELEASED changes
  * debian/patches
    - changeset_0eea2a48fe2dca7bbb3681fcd5b511579cad6347.diff and
      up_correct_version removed (upstreamed)
  * debian/rules
    - added export http(s)_proxy to point to non-existing localhost proxy,
      so we could guarantee no network is used at pkg build time
  * debian/control
    - *Depends on python{,3}-pil as well now as an alternative to
      python{,3}-imaging due to its rename

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 23 Nov 2013 17:24:52 -0500

skimage (0.8.2-2) UNRELEASED; urgency=low

  [ Julian Taylor ]
  * add python 3 packages
  * add autopkgtests
  * update packaging to use dh_sphinxdoc and dh_python2
    requires search-html.patch to fix file so dh_sphinxdoc recognises it
  * debian/patches
    - fix-doc-links.patch: fix navbar links in documentation
  * debian/control:
    - wrap-and-sort

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 10 Jun 2013 15:31:21 -0400

=== debian/control ===
Source: skimage
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stefan van der Walt <stefan@sun.ac.za>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: cython (>= 0.15),
               cython3 (>= 0.15),
               debhelper (>= 9~),
               libfreeimage3,
               python-all-dev (>= 2.6.6-3~),
               python-pil | python-imaging,
               python-matplotlib (>= 1.0),
               python-nose,
               python-numpy,
               python-scipy (>= 0.10),
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg-1~),
               python3-all-dev,
               python3-pil | python3-imaging,
               python3-matplotlib | python-matplotlib (<< 1.2.0~),
               python3-nose,
               python3-numpy,
               python3-scipy,
               python3-setuptools
Standards-Version: 3.9.4
Homepage: http://scikit-image.org
Vcs-Browser: https://github.com/scikit-image/scikit-image
Vcs-Git: git://github.com/scikit-image/scikit-image.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
XS-Testsuite: autopkgtest

Package: python-skimage
Architecture: all
Depends: libfreeimage3,
         python-numpy,
         python-scipy (>= 0.10),
         python-skimage-lib (>= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Recommends: python-pil, python-imaging, python-matplotlib (>= 1.0), python-nose, python-qt4
Suggests: python-opencv, python-skimage-doc
Description: Python modules for image processing
 scikit-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package provides the Python 2 module.

Package: python3-skimage
Architecture: all
Depends: libfreeimage3,
         python3-numpy,
         python3-scipy (>= 0.10),
         python3-skimage-lib (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-pil,python3-imaging,  python3-matplotlib (>= 1.0), python3-nose
Suggests: python-skimage-doc
Description: Python 3 modules for image processing
 scikit-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package provides the Python 3 module.

Package: python-skimage-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python-skimage
Description: Documentation and examples for scikit-image
 This package contains documentation and example scripts for
 python-skimage.

Package: python-skimage-lib
Architecture: any
Depends: python-numpy, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Recommends: python-skimage
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Optimized low-level algorithms for scikit-image
 This is an add-on package for python-skimage. It provides
 optimized, low-level implementations of algorithms.
 .
 This package provides the Python 2 libraries.

Package: python3-skimage-lib
Architecture: any
Depends: python3-numpy, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Recommends: python3-skimage
Description: Optimized low-level algorithms for Python 3 scikit-image
 This is an add-on package for python-skimage. It provides
 optimized, low-level implementations of algorithms.
 .
 This package provides the Python 3 libraries.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 PACKAGE2_NAME = python-skimage
 PACKAGE3_NAME = python3-skimage
 PKG_TMP = $(CURDIR)/debian/tmp
+# don't optimize pngs, palette changes break tests and documented examples
+export NO_PNG_PKG_MANGLE=1
 
 PYVERS = $(shell pyversions -vr)
 PYVER = $(shell pyversions  -vd)
@@ -11,6 +13,9 @@
 
 export MPLCONFIGDIR=$(CURDIR)/build
 export HOME=$(CURDIR)/build
+
+export http_proxy = http://127.0.9.1:9
+export https_proxy = http://127.0.9.1:9
 
 # Mega rule
 %:
@@ -29,19 +34,18 @@
 	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc
 	dh_auto_configure
 
-override_dh_auto_install-arch: ${PYVERS:%=python-install%} ${PY3VERS:%=python-install%}
-	touch install-stamp
-
-# Build docs during install, requires arch build for imports
-override_dh_auto_install-indep: override_dh_auto_install-arch
+# Build docs during install
+override_dh_auto_install: ${PYVERS:%=python-install%} ${PY3VERS:%=python-install%}
 	: # Build Documentation
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
+	: # not building documentation in -a
+else
 	export PYTHONPATH=$(PKG_TMP)/usr/lib/python$(PYVER)/dist-packages; \
 	 cd doc; test -d build/html || $(MAKE) html
 endif
-
-# no docs so no reason for sphinxdoc to fail
-override_dh_sphinxdoc-arch:
+endif
+	touch install-stamp
 
 # Per Python version logic -- install, test, move .so into -lib
 python-install%:
@@ -51,12 +55,11 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	pkgbuild=yes debian/tests/python$*
 else
-	true # Skip unittests due to nocheck
+        : # Skip unittests due to nocheck
 endif
 
 ## remove .so libraries from main package, and call dh_numpy*
 _dh_python%: python-test%
-	# does not exist in arch build
 	-find debian/$(PACKAGE$*_NAME)/usr/lib -name "*.so" -delete;
 
 	dh_numpy$(*:2=) -p$(PACKAGE$*_NAME)-lib
@@ -69,6 +72,15 @@
 override_dh_compress:
 	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc
 
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
+	: # no documentation in -a -- surprised that sphinxdoc doesn't know that
+else
+	dh_sphinxdoc -ppython-skimage-doc
+endif
+endif
+
 override_dh_installdocs:
-	dh_installdocs -A CONTRIBUTORS.txt README.md DEVELOPMENT.txt TASKS.txt
+	dh_installdocs -A CONTRIBUTORS.txt README.md CONTRIBUTING.txt TASKS.txt

=== debian/tests/control ===
Tests: python2
Depends: python-all, python-nose, python-skimage, python-pil | python-imaging, python-matplotlib, python-tk

Tests: python3
Depends: python3-all, python3-nose, python3-skimage, python3-pil | python3-imaging, python3-matplotlib, python3-tk

=== debian/watch ===
version=3
http://githubredir.debian.net/github/scikit-image/scikit-image/ v(.+).tar.gz

## skimage 0.10.1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,10 @@
 	find . -name "*.so" -o -name "*.pyc" -o -name "*.pyx.md5" | xargs rm -f
 
 test:
-	nosetests skimage
+	python -c "import skimage, sys, io; sys.exit(skimage.test_verbose())"
+
+doctest:
+	python -c "import skimage, sys, io; sys.exit(skimage.doctest_verbose())"
 
 coverage:
 	nosetests skimage --with-coverage --cover-package=skimage

=== requirements.txt ===
cython>=0.17
matplotlib>=1.0
numpy>=1.6
six>=1.3.0

=== doc/logo/Makefile ===
.PHONY: logo

logo: green_orange_snake.png snake_logo.svg
	inkscape --export-png=scikit_image_logo.png --export-dpi=100 \
		     --export-area-drawing --export-background-opacity=1 \
			 snake_logo.svg
	python shrink_logo.py

green_orange_snake.png:
	python scikit_image_logo.py --no-plot

=== debian/changelog ===
skimage (0.10.1-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 07:19:18 +0000

skimage (0.10.1-2) unstable; urgency=medium

  * build with -fsigned-char to fix test failures on unsigned ports
  * freeimage-fix.patch: fix freeimage save/load on big endian ports

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 06 Sep 2014 00:08:12 +0200

skimage (0.10.1-1) unstable; urgency=medium

  * New upstream release
  * depend on and use libjs-twitter-bootstrap (Closes: #736785)
  * doc-privacy.patch: use system font for documentation
  * build depend on python-six (>= 1.3.0) python-numpy (>= 1.6.0) and
    cython (>= 0.17)
  * slicing-error.patch: fix error revealed by numpy 1.9
  * bump standard to 3.9.5

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 24 Aug 2014 11:38:12 +0200

skimage (0.10.0-1) unstable; urgency=medium

  * Fresh upstream release (Closes: #751296)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 14 Jun 2014 07:43:58 -0400

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,31 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Stefan van der Walt <stefan@sun.ac.za>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: cython (>= 0.15),
-               cython3 (>= 0.15),
+Build-Depends: cython (>= 0.17),
+               cython3 (>= 0.17),
                debhelper (>= 9~),
                libfreeimage3,
+               libjs-twitter-bootstrap,
                python-all-dev (>= 2.6.6-3~),
-               python-pil | python-imaging,
                python-matplotlib (>= 1.0),
                python-nose,
-               python-numpy,
+               python-numpy (>= 1.6.0),
+               python-pil | python-imaging,
                python-scipy (>= 0.10),
                python-setuptools,
+               python-six (>= 1.3.0),
                python-sphinx (>= 1.0.7+dfsg-1~),
                python3-all-dev,
-               python3-pil | python3-imaging,
                python3-matplotlib | python-matplotlib (<< 1.2.0~),
                python3-nose,
                python3-numpy,
+               python3-pil | python3-imaging,
                python3-scipy,
-               python3-setuptools
-Standards-Version: 3.9.4
+               python3-setuptools,
+               python3-six (>= 1.3.0),
+               xauth,
+               xvfb
+Standards-Version: 3.9.5
 Homepage: http://scikit-image.org
 Vcs-Browser: https://github.com/scikit-image/scikit-image
 Vcs-Git: git://github.com/scikit-image/scikit-image.git
@@ -36,10 +41,15 @@
 Depends: libfreeimage3,
          python-numpy,
          python-scipy (>= 0.10),
+         python-six (>= 1.3.0),
          python-skimage-lib (>= ${source:Version}),
          ${misc:Depends},
          ${python:Depends}
-Recommends: python-pil, python-imaging, python-matplotlib (>= 1.0), python-nose, python-qt4
+Recommends: python-imaging,
+            python-matplotlib (>= 1.0),
+            python-nose,
+            python-pil,
+            python-qt4
 Suggests: python-opencv, python-skimage-doc
 Description: Python modules for image processing
  scikit-image is a collection of image processing algorithms for
@@ -53,10 +63,14 @@
 Depends: libfreeimage3,
          python3-numpy,
          python3-scipy (>= 0.10),
+         python3-six (>= 1.3.0),
          python3-skimage-lib (>= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-pil,python3-imaging,  python3-matplotlib (>= 1.0), python3-nose
+Recommends: python3-imaging,
+            python3-matplotlib (>= 1.0),
+            python3-nose,
+            python3-pil
 Suggests: python-skimage-doc
 Description: Python 3 modules for image processing
  scikit-image is a collection of image processing algorithms for

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 PYVERS = $(shell pyversions -vr)
 PYVER = $(shell pyversions  -vd)
 PY3VERS = $(shell py3versions -vr)
+
+# upstream relies on signed chars
+export DEB_CFLAGS_MAINT_APPEND := -fsigned-char
 
 export MPLCONFIGDIR=$(CURDIR)/build
 export HOME=$(CURDIR)/build
@@ -83,4 +86,9 @@
 
 override_dh_installdocs:
 	dh_installdocs -A CONTRIBUTORS.txt README.md CONTRIBUTING.txt TASKS.txt
-
+	dh_link -ppython-skimage-doc /usr/share/twitter-bootstrap/files/js/bootstrap.min.js \
+	    usr/share/doc/python-skimage-doc/html/_static/js/bootstrap.min.js
+	dh_link -ppython-skimage-doc /usr/share/twitter-bootstrap/files/css/bootstrap.min.css \
+	    usr/share/doc/python-skimage-doc/html/_static/css/bootstrap.min.css
+	dh_link -ppython-skimage-doc /usr/share/twitter-bootstrap/files/css/bootstrap-responsive.css \
+	    usr/share/doc/python-skimage-doc/html/_static/css/bootstrap-responsive.css

=== debian/tests/control ===
Tests: python2
Depends: python-all, python-nose, python-skimage, python-pil | python-imaging, python-matplotlib, python-tk, xauth, xvfb

Tests: python3
Depends: python3-all, python3-nose, python3-skimage, python3-pil | python3-imaging, python3-matplotlib, python3-tk, xauth, xvfb
